// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_ninthcircle/tnc_sky
{
	qer_editorimage env/ut4_ninthcircle/violentdays_bk.tga
	skyparms env/ut4_ninthcircle/violentdays 512 -	
	
	q3map_sunEXT 0.9 0.9 0.9 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 200 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
	
}

// ---=== Ladderclip ===---

textures/ut4_ninthcircle/tnc_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Holopanels ===---

// ---=== fog/clouds ===---

// ---=== Glass ===---

textures/ut4_ninthcircle/tnc_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	{
		map textures/ut4_ninthcircle/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_ninthcircle/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}


textures/ut4_ninthcircle/tnc_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm slick
	cull none

	{
		map textures/ut4_ninthcircle/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_ninthcircle/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_ninthcircle/tnc_glass_ns
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none

	{
		map textures/ut4_ninthcircle/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_ninthcircle/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

// ---=== shiny ===---

textures/ut4_ninthcircle/tnc_lhblackwav_shn
{
	qer_editorimage textures/ut4_ninthcircle/lh_blackwave.jpg
	surfaceparm nodamage

	{
		map textures/ut4_ninthcircle/lh_blackwave.jpg
	}
	{
		map textures/ut4_ninthcircle/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_ninthcircle/e5_panel128light
{
	qer_editorimage textures/ut4_ninthcircle/e5_panel128light.tga
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nonsolid
	{
		map textures/ut4_ninthcircle/e5_panel128light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_ninthcircle/e5_panel128light_blend.tga
		blendfunc add
	}
}

textures/ut4_ninthcircle/e6basicstrip_blue
{
	qer_editorimage textures/ut4_ninthcircle/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_ninthcircle/e6basicstrip_blue.tga
	}
}

textures/ut4_ninthcircle/e6basicstrip_green
{
	qer_editorimage textures/ut4_ninthcircle/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_ninthcircle/e6basicstrip_green.tga
	}
}

textures/ut4_ninthcircle/e6basicstrip_orange
{
	qer_editorimage textures/ut4_ninthcircle/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_ninthcircle/e6basicstrip_orange.tga
	}
}

textures/ut4_ninthcircle/e6basicstrip_purple
{
	qer_editorimage textures/ut4_ninthcircle/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_ninthcircle/e6basicstrip_purple.tga
	}
}

textures/ut4_ninthcircle/e6basicstrip_red
{
	qer_editorimage textures/ut4_ninthcircle/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_ninthcircle/e6basicstrip_red.tga
	}
}

textures/ut4_ninthcircle/e6basicstrip_white
{
	qer_editorimage textures/ut4_ninthcircle/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_ninthcircle/e6basicstrip_white.tga
	}
}

textures/ut4_ninthcircle/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_ninthcircle/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_ninthcircle/e6basicstrip_yellow.tga
	}
}

textures/ut4_ninthcircle/tnc_gothbara
{
	qer_editorimage textures/ut4_ninthcircle/lh_gothbar_amb.jpg
	q3map_lightimage textures/ut4_ninthcircle/lh_gothbar_blenda.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_ninthcircle/lh_gothbar_amb.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_ninthcircle/lh_gothbar_blenda.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_ninthcircle/tnc_gothbarb
{
	qer_editorimage textures/ut4_ninthcircle/lh_gothbar_blu.jpg
	q3map_lightimage textures/ut4_ninthcircle/lh_gothbar_blendb.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_ninthcircle/lh_gothbar_blu.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_ninthcircle/lh_gothbar_blendb.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_ninthcircle/tnc_gothbarr
{
	qer_editorimage textures/ut4_ninthcircle/lh_gothbar_red.jpg
	q3map_lightimage textures/ut4_ninthcircle/lh_gothbar_blendr.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_ninthcircle/lh_gothbar_red.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_ninthcircle/lh_gothbar_blendr.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_ninthcircle/soc_lig_128-01y3
{
	qer_editorimage textures/ut4_ninthcircle/soc_sqrlig02yc.tga
	q3map_lightimage textures/ut4_ninthcircle/soc_sqrlig02y2.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_ninthcircle/soc_sqrlig02yc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_ninthcircle/soc_sqrlig02y2.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

// ---=== flames ===--- 

textures/ut4_ninthcircle/tnc_flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 100
	qer_editorimage textures/ut4_ninthcircle/flame7.tga
	

	{
		animMap 10 textures/ut4_ninthcircle/flame1.tga textures/ut4_ninthcircle/flame2.tga textures/ut4_ninthcircle/flame3.tga textures/ut4_ninthcircle/flame4.tga textures/ut4_ninthcircle/flame5.tga textures/ut4_ninthcircle/flame6.tga textures/ut4_ninthcircle/flame7.tga textures/ut4_ninthcircle/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_ninthcircle/flame2.tga textures/ut4_ninthcircle/flame3.tga textures/ut4_ninthcircle/flame4.tga textures/ut4_ninthcircle/flame5.tga textures/ut4_ninthcircle/flame6.tga textures/ut4_ninthcircle/flame7.tga textures/ut4_ninthcircle/flame8.tga textures/ut4_ninthcircle/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_ninthcircle/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/ut4_ninthcircle/tnc_flame_b
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 100
	qer_editorimage textures/ut4_ninthcircle/flame7_b.tga
	
	{
		animMap 10 textures/ut4_ninthcircle/flame1_b.tga textures/ut4_ninthcircle/flame2_b.tga textures/ut4_ninthcircle/flame3_b.tga textures/ut4_ninthcircle/flame4_b.tga textures/ut4_ninthcircle/flame5_b.tga textures/ut4_ninthcircle/flame6_b.tga textures/ut4_ninthcircle/flame7_b.tga textures/ut4_ninthcircle/flame8_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_ninthcircle/flame2_b.tga textures/ut4_ninthcircle/flame3_b.tga textures/ut4_ninthcircle/flame4_b.tga textures/ut4_ninthcircle/flame5_b.tga textures/ut4_ninthcircle/flame6_b.tga textures/ut4_ninthcircle/flame7_b.tga textures/ut4_ninthcircle/flame8_b.tga textures/ut4_ninthcircle/flame1_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/ut4_ninthcircle/flameball_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

// ---=== non-solids ===---

// ---=== lava ===---

textures/ut4_ninthcircle/tnc_lava1k
	{
		qer_editorimage textures/ut4_ninthcircle/lava1.tga
		q3map_globaltexture
		surfaceparm trans
		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		q3map_surfacelight 1000
		cull disable
	
		tesssize 128
		cull disable
		deformVertexes wave 100 sin 3 2 .1 0.7
	
	{
		map textures/ut4_ninthcircle/lava1.tga
		tcMod turb 0 .2 0 .1
	}
}
